Skip to main content
GET
/
coaching
/
sessions
/
stream
Get coaching sessions.
curl --request GET \
  --url https://api.samsara.com/coaching/sessions/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "behaviors": [
        {
          "coachableBehaviorType": "forwardCollisionWarning",
          "id": "f5271458-21f9-4a9f-a290-780c6d8840ff",
          "lastCoachedTime": "2019-06-13T19:08:25Z",
          "updatedAtTime": "2019-06-13T19:08:25Z",
          "coachableEvents": [
            {
              "id": "f5271458-21f9-4a9f-a290-780c6d8840ff"
            }
          ],
          "note": "Need to wear seatbelt even for short trips."
        }
      ],
      "coachingType": "unshared",
      "driver": {
        "driverId": "0987",
        "externalIds": {}
      },
      "dueAtTime": "2019-06-13T19:08:25Z",
      "id": "f5271458-21f9-4a9f-a290-780c6d8840ff",
      "sessionStatus": "completed",
      "updatedAtTime": "2019-06-13T19:08:25Z",
      "assignedCoachId": "45646",
      "completedAtTime": "2019-06-13T19:08:25Z",
      "completedCoachId": "45646",
      "sessionNote": "Need to wear seatbelt even for short trips."
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

driverIds
string[]

Optional string of comma separated driver IDs. If driver ID is present, sessions for the specified driver(s) will be returned.

coachIds
string[]

Optional string of comma separated user IDs. If coach ID is present, sessions for the specified coach(s) will be returned for either assignedCoach or completedCoach. If both driverId(s) and coachId(s) are present, sessions with specified driver(s) and coach(es) will be returned.

sessionStatuses
string[]

Optional string of comma separated statuses. Valid values: “upcoming”, “completed”, “deleted”.

includeCoachableEvents
boolean

Optional boolean to control whether behaviors will include coachableEvents in the response. Defaults to false.

startTime
string<date-time>
required

Required RFC 3339 timestamp that indicates when to begin receiving data. Value is compared against updatedAtTime

endTime
string<date-time>

Optional RFC 3339 timestamp. If not provided then the endpoint behaves as an unending feed of changes. If endTime is set the same as startTime, the most recent data point before that time will be returned per asset. Value is compared against updatedAtTime

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

Response

OK response.

data
object[]
required

List of coaching sessions objects.

pagination
object
required

Pagination parameters.